<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
include('config/config_creatchar.php');

if ($Use_CreatChar != 1) {
	echo "<center>Chức năng không có hoặc không được sử dụng</center>";
}
else {
if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'creatchar')
	{
		$tennv = $_POST['tennv'];
		$gioitinh = $_POST['gioitinh'];
		$pass2 = $_POST['pass2'];
		
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($tennv))
		{
			$error = "Chưa điền tên nhân vật cần tạo.";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $tennv))
			{
				$error = "Dữ liệu lỗi - Tên nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
			}
		elseif (strlen($tennv) > 10)
			{
				$error = "Dữ liệu lỗi - Tên nhân vật chỉ dài không quá 10 ký tự.";
			}
		elseif (preg_match("/[^a-zA-Z$]/", $gioitinh))
			{
				$error = "Dữ liệu lỗi - Lớp nhân vật chỉ được sử dụng kí tự a-z, A-Z.";
			}
		elseif (empty($pass2))
		{
			$error = "Chưa nhập mật khẩu Web";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
			{
				$error = "Dữ liệu lỗi - Mật khẩu Web chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.";
			}
		else {
			
			$getcontent_url = $server_url . "/sv_char.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'tennv'    =>  $tennv,
                'pass2'    =>  $pass2,
                'gioitinh'    =>  $gioitinh,
                
                'pagesv'	=>	'sv_char_creatchar',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vwebmu>',$reponse);
				$char = explode('<vweb>',$info[0]);
				if ($char[0] == 'OK') {
					$notice = $info[1];
					
					$_SESSION['acc_gcoin'] = $char[1];
					$_SESSION['acc_gcoin_km'] = $char[2];
				}
				else $error = $reponse;
			}
		}
	}
}

$font_thieu_begin = "<font color='red'><b>";
$font_thieu_end = "</b></font>";
$font_du_begin = "<font color='green'><b>";
$font_du_end = "</b></font>";

$accept = 1;
if ( $_SESSION['nv_online'] == 1 ) { $accept = 0; }	

$page_template = "templates/char_manager/taonv.tpl";
}
?>